{#
/**
 * @file
 * This is a template file for a banner prompting user to give their consent for
 * the website to set cookies.
 *
 * When overriding this template it is important to note that jQuery will use
 * the following classes to assign actions to buttons:
 *
 * agree-button      - agree to setting cookies
 * find-more-button  - link to an information page
 *
 * Variables available:
 * - message:  Contains the text that will be display whithin the banner
 * - agree_button: Label for the primary/agree button. Note that this is the
 *   primary button. For backwards compatibility, the name remains agree_button.
 * - disagree_button: Contains Cookie policy button title. (Note: for historical
 *   reasons, this label is called "disagree" even though it just displays the
 *   privacy policy.)
 * - secondary_button_label: Contains the secondary button label. The current
 *   action depends on whether you're running the module in Opt-out or Opt-in
 *   mode.
 * - primary_button_class: Contains class names for the primary button.
 * - secondary_button_class: Contains class names for the secondary button
 *   (if visible).
 * - cookie_categories: Contains a array with cookie categories that can be
 *   agreed or disagreed to separately.
 * - save_preferences_button_label: Label text for a button to save the consent
 *   preferences.
 *   category cannot be unchecked.
 * - privacy_settings_tab_label: Label text for the Privacy settings tab.
 * - withdraw_button_on_info_popup: Show the withdraw button on this popup.
 * - method: Chosen consent method.
 * - accept_minimal: The accept minimal cookies link
 */
#}
{% if privacy_settings_tab_label %}
  <button type="button" class="eu-cookie-withdraw-tab">{{ privacy_settings_tab_label }}</button>
{% endif %}
{% set classes = [
  'cookie-banner',
  cookie_categories ? 'cookie-banner--has-cats',
  'eu-cookie-compliance-banner',
  'eu-cookie-compliance-banner-info',
  'eu-cookie-compliance-banner--' ~ method|clean_class,
] %}
<div role="alertdialog" aria-labelledby="popup-text" {{ attributes.addClass(classes) }}>
  <div class="popup-content info cookie-banner__content">
    <div id="popup-text" class="cookie-banner__message">
      {{ message }}
    </div>

    <div class="cookie-banner__actions">
      {% if cookie_categories %}
        <input type="checkbox" id="cookie-banner__toggler" class="cookie-banner__toggler"/>
        <label for="cookie-banner__toggler" class="cookie-banner__prefs-toggle">{{ 'Change preferences'|t }}</label>
      {% endif %}

      {% if accept_minimal %}
        <button type="button" id="oumcc-accept-minimal" class="eu-cookie-compliance-accept-minimal-button cookie-banner__button cookie-banner__button--accept-minimal">{{ accept_minimal }}</button>
      {% endif %}

      <button type="button" id="oumcc-accept-all" class="{{ primary_button_class }} cookie-banner__button cookie-banner__button--agree-all">{{ agree_button }}</button>

      {% if cookie_categories %}
        <div class="cookie-banner__toggle-target">
          <div id="eu-cookie-compliance-categories" class="cookie-banner__categories">
            {% for key, category in cookie_categories %}
              <div class="cookie-banner__category">
                <div class="category--checkbox cookie-banner__cat-checkbox{% if category.checkbox_default_state == "required" %} disabled{% endif %}">
                  <input type="checkbox" name="cookie-categories" id="cookie-category-{{ key }}" value="{{ key }}" {% if category.checkbox_default_state in ['checked', 'required'] %} checked {% endif %} {% if category.checkbox_default_state == 'required' %} disabled {% endif %}>
                  <label for="cookie-category-{{ key }}">{{ category.label }}
                    {% if category.description %}
                      <span class="description">({{ category.description }})</span>
                    {% endif %}
                  </label>
                </div>
              </div>
            {% endfor %}
          </div>

          {% if save_preferences_button_label %}
            <button type="button" id="oumcc-accept-selection" class="eu-cookie-compliance-save-preferences-button cookie-banner__button cookie-banner__button--prefs">{{ save_preferences_button_label }}</button>
          {% endif %}
        </div>
      {% endif %}
    </div>

  </div>
</div>
